Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.component
Class ComponentException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.mule.api.MuleException
                  org.mule.api.MessagingException
                      org.mule.component.ComponentException

All Implemented Interfaces:
  Serializable

    public class ComponentException

extends MessagingException

`ComponentException` should be thrown when some action on a component fails, such as starting or stopping

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mule.api.MessagingException
`event, muleMessage`

Constructor Summary
`ComponentException(Message message, MuleEvent muleMessage, Component component)`
`ComponentException(Message message, MuleEvent event, Component component, Throwable cause)`
`ComponentException(Message message, MuleMessage muleMessage, Component component)` Deprecated. use ComponentException(Message, MuleEvent, Component)
`ComponentException(Message message, MuleMessage muleMessage, Component component, Throwable cause)` Deprecated. use ComponentException(Message, MuleEvent, Component, Throwable)
`ComponentException(MuleEvent message, Component component, Throwable cause)`
`ComponentException(MuleMessage message, Component component, Throwable cause)` Deprecated. use ComponentException(MuleEvent, Component, Throwable)

Method Summary
`Component` | `getComponent()`

Methods inherited from class org.mule.api.MessagingException
`getEvent, getMuleMessage`

Methods inherited from class org.mule.api.MuleException
`addInfo, appendMessage, equals, getDetailedMessage, getExceptionCode, getI18nMessage, getInfo, getMessage, getMessageCode, getSummaryMessage, getVerboseMessage, hashCode, initialise, prependMessage, setExceptionCode, setMessage, setMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ComponentException

    @Deprecated
    public ComponentException(Message message,
                                         MuleMessage muleMessage,
                                         Component component)

  Deprecated. use ComponentException(Message, MuleEvent, Component)

  Parameters:
    `message` - the exception message

### ComponentException

    public ComponentException(Message message,
                              MuleEvent muleMessage,
                              Component component)

### ComponentException

    @Deprecated
    public ComponentException(Message message,
                                         MuleMessage muleMessage,
                                         Component component,
                                         Throwable cause)

  Deprecated. use ComponentException(Message, MuleEvent, Component, Throwable)

  Parameters:
    `message` - the exception message
    `cause` - the exception that cause this exception to be thrown

### ComponentException

    public ComponentException(Message message,
                              MuleEvent event,
                              Component component,
                              Throwable cause)

### ComponentException

    @Deprecated
    public ComponentException(MuleMessage message,
                                         Component component,
                                         Throwable cause)

  Deprecated. use ComponentException(MuleEvent, Component, Throwable)

### ComponentException

    public ComponentException(MuleEvent message,
                              Component component,
                              Throwable cause)

Method Detail

### getComponent

    public Component getComponent()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.